summaryrefslogtreecommitdiff
path: root/tests/cp/same-file
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2002-04-19 21:55:30 +0000
committerJim Meyering <jim@meyering.net>2002-04-19 21:55:30 +0000
commit306c8e8b4fec79a581f2cad7b160ba6f61f600ac (patch)
tree294ed47d250d3d7334d95d14fd7033c7e1a87fdd /tests/cp/same-file
parent3cc80a439024199e6673477ae91cb32f69aa7ad3 (diff)
downloadcoreutils-306c8e8b4fec79a581f2cad7b160ba6f61f600ac.tar.xz
Lots of clean-up:
E.g., (exit $fail); exit t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$ trap 'status=$?; cd $pwd; rm -rf $t0 && exit $status' 0
Diffstat (limited to 'tests/cp/same-file')
-rwxr-xr-xtests/cp/same-file6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/cp/same-file b/tests/cp/same-file
index 7ae7ec0bc..e9fbb307d 100755
--- a/tests/cp/same-file
+++ b/tests/cp/same-file
@@ -12,12 +12,12 @@ fi
VERSION_CONTROL=numbered; export VERSION_CONTROL
pwd=`pwd`
-tmp=same-f-$$
-trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $tmp && exit $status' 0
+t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$
+trap 'status=$?; cd $pwd; exec 1>&2; rm -rf $t0 && exit $status' 0
trap 'exit $?' 1 2 13 15
framework_failure=0
-mkdir $tmp || framework_failure=1
+mkdir -p $tmp || framework_failure=1
cd $tmp || framework_failure=1
if test $framework_failure = 1; then